# Class Polyhedra

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.AtomShape
org.jmol.shapespecial.Polyhedra

All Implemented Interfaces:
  `Comparator<Object[]>`

public class Polyhedra extends AtomShape implements Comparator<Object[]>

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`drawEdges`
`static final int`
`EDGES_ALL`
`static final int`
`EDGES_FRONT`
`static final int`
`EDGES_ONLY`
`int`
`polyhedronCount`
`Polyhedron[]`
`polyhedrons`

### Fields inherited from class AtomShape

`bsSizeDefault, colixes, isActive, isSet, mad, mads, monomerCount, paletteIDs`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Polyhedra()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object[] a, Object[] b)`
`int`
`getIndexFromName(String id)`
`Object`
`getProperty(String property, int i)`
`boolean`
`getPropertyData(String property, Object[] data)`
`Object`
`getShapeDetail()`
`String`
`getShapeState()`
`void`
`setModelVisibilityFlags(BS bsModels)`
`void`
`setProperty(String propertyName, Object value, BS bs)`

### Methods inherited from class AtomShape

`checkColixLength, getSize, initModelSet, initShape, setAtomClickability, setColixAndPalette, setPropAS, setSize, setSize2, setSizeRD, setSizeRD2`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getPropShape, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setProperties, setPropS, setShapeSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Field Details

### EDGES_ALL

public static final int EDGES_ALL

See Also:
  - Constant Field Values

### EDGES_FRONT

public static final int EDGES_FRONT

See Also:
  - Constant Field Values

### EDGES_ONLY

public static final int EDGES_ONLY

See Also:
  - Constant Field Values

### polyhedronCount

public int polyhedronCount

### polyhedrons

public Polyhedron[] polyhedrons

### drawEdges

public int drawEdges

## Constructor Details

### Polyhedra

public Polyhedra()

## Method Details

### compare

public int compare(Object[] a, Object[] b)

Specified by:
  `compare` in interface `Comparator<Object[]>`

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### getIndexFromName

public int getIndexFromName(String id)

Overrides:
  `getIndexFromName` in class `Shape`
Parameters:
  `id` -
Returns:
  index

### getProperty

public Object getProperty(String property, int i)

Overrides:
  `getProperty` in class `Shape`
Parameters:
  `property` -
  `i` -
Returns:
  true if serviced

### getPropertyData

public boolean getPropertyData(String property, Object[] data)

Overrides:
  `getPropertyData` in class `Shape`
Parameters:
  `property` -
  `data` -
Returns:
  true if serviced

### getShapeDetail

public Object getShapeDetail()

Overrides:
  `getShapeDetail` in class `Shape`

### setModelVisibilityFlags

public void setModelVisibilityFlags(BS bsModels)

Overrides:
  `setModelVisibilityFlags` in class `Shape`
Parameters:
  `bsModels` -

### getShapeState

public String getShapeState()

Overrides:
  `getShapeState` in class `AtomShape`